"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styles_1 = require("./styles");
const React = require("react");
const moment = require("moment");
/**
 * Old review line
 */
class ReviewLine extends React.Component {
    constructor(props) {
        super(props);
        this.state = {};
    }
    render() {
        return React.createElement(styles_1.Comment, { className: "review-box" },
            React.createElement("p", { className: "name" },
                "@",
                this.props.name,
                " ",
                moment(this.props.date).format(this.props.dateFormat),
                " commented:"),
            React.createElement("p", { className: "comment" }, this.props.text.replace(/<strong class='positive'>/g, '').replace(/<strong class='negative'>/g, '').replace(/<\/strong>/g, '')));
    }
}
;
exports.default = ReviewLine;
//# sourceMappingURL=reviewLine.js.map