
import { Loader, Textarea, Comment, RefreshIcon } from './styles';
import * as React from 'react';
import * as moment from 'moment';

/**
 * Old review line
 */
class ReviewLine extends React.Component<ReviewLineProps, ReviewLineStates> {

    public constructor(props: ReviewLineProps) {
        super(props);
        this.state = {};
    }

    public render() {
        return <Comment className="review-box" ><p className="name" >@{this.props.name} {moment(this.props.date).format(this.props.dateFormat)} commented:</p><p className="comment">{this.props.text.replace(/<strong class='positive'>/g, '').replace(/<strong class='negative'>/g, '').replace(/<\/strong>/g, '')}</p></Comment>;
    }
};
export default ReviewLine;