var chai = require('chai');
var should = chai.should();
var expect = chai.expect;

var OctoPaging = require('../dist/octoPaging');

describe('Octo Paging', function(){
    it('When no page size is entered, page size is default one', function(done) {
        const octoPaging  = new OctoPaging.OctoPaging();
        expect(octoPaging.pageSize).to.be.eq(20);
        done();
    });

    it('When page size is entered, page size is the entered one', function(done) {
        const octoPaging  = new OctoPaging.OctoPaging(5);
        expect(octoPaging.pageSize).to.be.eq(5);
        done();
    });

});