"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Holds first connection info to be passed to the socket connection.
 */
class ConnectionParams {
    constructor(user, identifier) {
        this.user = user;
        this.identifier = identifier;
    }
    toJson() {
        if (this.user && this.identifier) {
            return JSON.stringify({ user: this.user, identifier: this.identifier });
        }
        else {
            throw new Error('User or Identifier are not set. No socket connection can be stablished');
        }
    }
}
exports.ConnectionParams = ConnectionParams;
;
exports.default = ConnectionParams;
//# sourceMappingURL=connectionParams.js.map