"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
/**
 * Styles for loading gif
 */
exports.Loader = styled_components_1.default.div `
  border: 2px solid #f3f3f3;
  border-radius: 50%;
  border-top: 2px solid #3498db;
  width: 20px;
  height: 20px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;

    @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
    }

    @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
    }
`;
/**
 * Styles of textarea
 */
exports.Textarea = styled_components_1.default.textarea `
        width: 100%;
`;
/**
 * Styles of component
 */
exports.Comment = styled_components_1.default.div `
    width: 100%;
    color: #ccc;
`;
exports.RefreshIcon = styled_components_1.default.i `
    transition: all 5s;
     transform: rotate(980deg);
`;
exports.default = { Loader: exports.Loader, Textarea: exports.Textarea, Comment: exports.Comment, RefreshIcon: exports.RefreshIcon };
//# sourceMappingURL=styles.js.map